# Class DeviceInfo#getPlatformInfo

DeviceInfo

- Defined in: deviceInfo.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| DeviceInfo#getPlatformInfo(successCallback, errorCallback) Gets device platform information.

## Class Detail

DeviceInfo#getPlatformInfo(successCallback, errorCallback)
Gets device platform information. Platform information includes manufacturer, model name, software version, hardware version and product serial number.

    // Javascript code
    function getPlatformInfo () {
      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject));
         console.log("hardwareVersion : " + cbObject.hardwareVersion);
         console.log("modelName : " + cbObject.modelName);
         console.log("sdkVersion : " + cbObject.sdkVersion);
         console.log("serialNumber : " + cbObject.serialNumber);
         console.log("firmwareVersion : " + cbObject.firmwareVersion);

         // Do something
            ...
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var deviceInfo = new DeviceInfo();
      deviceInfo.getPlatformInfo(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.0
Returns:
  {Object}

  Property | Type | Description
  --- | --- | ---
  hardwareVersion | String | hardware version of signage monitor.
  manufacturer | String | manufacturer of signage monitor.
  modelName | String | signage monitor model name.
  sdkVersion | String | SDK version of signage monitor.
  serialNumber | String | signage monitor serial number.
  firmwareVersion | String | firmware version of signage monitor.

See:
  DeviceInfo.getNetworkMacInfo()